List bridge transfers
curl --request GET \
--url https://production.hifi.com/v3/bridges \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifi.com/v3/bridges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifi.com/v3/bridges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "brdg_9dQ2mNpXwZ7bV1aLcs3Kf",
"requestId": "b3d1f2a4-5c6e-4a7b-8c9d-0e1f2a3b4c5d",
"status": "COMPLETED",
"failedReason": null,
"error": null,
"errorDetails": null,
"amount": "100",
"source": {
"userId": "usr_3Kf9dQ2mNpXwZ7bV1aLcs",
"walletId": "wlt_1aLcs3Kf9dQ2mNpXwZ7bV",
"currency": "USDC",
"chain": "POLYGON"
},
"destination": {
"userId": "usr_3Kf9dQ2mNpXwZ7bV1aLcs",
"walletId": "wlt_4mNpXwZ7bV1aLcs3Kf9dQ",
"externalWalletId": null,
"currency": "USDC",
"chain": "BASE"
},
"receipt": {
"transactionHash": "0x9f2c1a5b7d3e4f6089a0b1c2d3e4f5061728394a5b6c7d8e9f0a1b2c3d4e5f60",
"operations": {
"approve": {
"transactionHash": "0x71a2b3c4d5e6f70819202122232425262728292a2b2c2d2e2f3031323334353",
"userOpHash": null,
"chain": "POLYGON"
},
"burn": {
"transactionHash": "0x2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f90a1",
"userOpHash": null,
"chain": "POLYGON"
},
"mint": {
"transactionHash": "0x9f2c1a5b7d3e4f6089a0b1c2d3e4f5061728394a5b6c7d8e9f0a1b2c3d4e5f60",
"userOpHash": null,
"chain": "BASE"
}
}
},
"fee": null,
"quote": {
"sendGross": {
"amount": "100.000000",
"currency": "USDC"
},
"sendNet": {
"amount": "100.000000",
"currency": "USDC"
},
"railFee": {
"amount": "0",
"currency": "USDC"
},
"receiveGross": {
"amount": "100.000000",
"currency": "USDC"
},
"receiveNet": {
"amount": "100.000000",
"currency": "USDC"
},
"rate": "1",
"expiresAt": null
},
"createdAt": "2026-07-01T10:30:00.000Z",
"updatedAt": "2026-07-01T10:35:00.000Z"
}
],
"pagination": {
"hasMore": false,
"startCursor": "brdg_9dQ2mNpXwZ7bV1aLcs3Kf",
"endCursor": "brdg_9dQ2mNpXwZ7bV1aLcs3Kf"
}
}{
"type": "VALIDATION_ERROR",
"message": "One or more fields are invalid or missing.",
"fields": [
{
"code": "invalid_value",
"message": "Must be a valid email address",
"field": "email"
}
]
}{
"type": "UNAUTHORIZED",
"message": "Authentication required"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred"
}Bridges
List bridge transfers
List all bridge transfers for the authenticated client. Supports cursor-based pagination and filtering by status, source user, and destination user.
GET
/
v3
/
bridges
List bridge transfers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
default to 10, maximum to 100
Required range:
1 <= x <= 100Return records after this cursor.
Return records before this cursor.
Filter bridge transfers by status.
Available options:
NOT_INITIATED, OPEN_QUOTE, CREATED, SOURCE_INITIATED, SOURCE_PENDING, SOURCE_PROCESSED, SOURCE_FAILED, DESTINATION_INITIATED, DESTINATION_PENDING, COMPLETED, DESTINATION_FAILED, QUOTE_FAILED, UNKNOWN, PENDING_APPROVAL, APPROVED, REJECTED, EXPIRED Filter bridge transfers by the source user's public ID (prefixed with usr_).
Filter bridge transfers by the destination user's public ID (prefixed with usr_).
⌘I